Skip to main content
Start bot
curl --request POST \
  --url https://api.example.com/api/bot/join \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "provider": "daily",
  "room_url": "https://your-domain.daily.co/your-room",
  "bot_config": {
    "bot_prompt": "You are a helpful AI assistant.",
    "name": "MeetingBot",
    "video_mode": "static",
    "background_image_url": "https://example.com/background.png",
    "bot_greeting": "Greet them and let them know you're here to conduct an interview.",
    "stop_phrase": "have a nice day",
    "voice": "echo"
  },
  "process_insights": true,
  "email": "[email protected]"
}
EOF
import requests

url = "https://api.example.com/api/bot/join"

payload = {
"provider": "daily",
"room_url": "https://your-domain.daily.co/your-room",
"bot_config": {
"bot_prompt": "You are a helpful AI assistant.",
"name": "MeetingBot",
"video_mode": "static",
"background_image_url": "https://example.com/background.png",
"bot_greeting": "Greet them and let them know you're here to conduct an interview.",
"stop_phrase": "have a nice day",
"voice": "echo"
},
"process_insights": True,
"email": "[email protected]"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: 'daily',
room_url: 'https://your-domain.daily.co/your-room',
bot_config: {
bot_prompt: 'You are a helpful AI assistant.',
name: 'MeetingBot',
video_mode: 'static',
background_image_url: 'https://example.com/background.png',
bot_greeting: 'Greet them and let them know you\'re here to conduct an interview.',
stop_phrase: 'have a nice day',
voice: 'echo'
},
process_insights: true,
email: '[email protected]'
})
};

fetch('https://api.example.com/api/bot/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "started",
  "bot_id": "258b06fc-6bc9-4261-9f29-bc8a4474af0a",
  "room_url": "https://your-domain.daily.co/your-room"
}
{
"error": "authentication_error",
"detail": "API key authentication failed.",
"message": "Please verify your API key or contact support."
}
{
"error": "insufficient_credits",
"detail": "Your account has insufficient credits to perform this action.",
"balance": 0,
"message": "Please add credits to your account to continue."
}
{
"error": "<string>",
"detail": "<string>",
"message": "<string>",
"balance": 123
}

Authorizations

Authorization
string
header
required

Your API key from pailflow.com

Body

application/json
room_url
string
required

Full video meeting room URL (e.g., https://your-domain.daily.co/room-name)

Example:

"https://your-domain.daily.co/your-room"

bot_config
object
required
token
string | null

Optional meeting token for private rooms

provider
string
default:daily

Provider (default: 'daily' for future multi-provider support)

Example:

"daily"

process_insights
boolean
default:true

Whether to extract insights after bot finishes (default: true)

Example:

true

email
string | null

Email to send results to (optional)

analysis_prompt
string | null

Custom prompt for AI analysis (optional)

summary_format_prompt
string | null

Custom prompt for summary formatting (optional)

webhook_callback_url
string | null

Webhook URL to send results to (optional)

Response

Bot started successfully

status
string
Example:

"started"

bot_id
string<uuid>
Example:

"258b06fc-6bc9-4261-9f29-bc8a4474af0a"

room_url
string
Example:

"https://your-domain.daily.co/your-room"